Difference between revisions of "Draft BezCurve/cs"

From FreeCAD Documentation
Jump to: navigation, search
Line 54: Line 54:
 
* [[Image:Draft_BezSymNode.svg|32px]] '''Symmetric''' - force adjacent control points to be tangent and equi-distant
 
* [[Image:Draft_BezSymNode.svg|32px]] '''Symmetric''' - force adjacent control points to be tangent and equi-distant
  
==Limitations==
+
==Omezení==
* This tool is not available before FreeCAD version 0.14
+
* Tento nástroj je dostupný až od verze FreeCADu 0.14
* The Points Property does not yet appear in the properties list.
+
* Vlastnost Body se zatím nezaobrazuje v seznamu vlastností.
* OpenCascade does not support Bezier Curve with degree > 25. This should not be a problem in practice.  
+
* OpenCascade nepodporuje Bezierovy křivky se stupněm < 25. V praxi by to neměl být problém.  
 
{{clear}}
 
{{clear}}
 
<languages/>
 
<languages/>

Revision as of 19:58, 10 June 2014

Draft BezCurve.svg {{{Name/cs}}}

Umístění Menu
Draft -> BezCurve
Pracovní stoly
Draft, Arch
Výchozí zástupce
B Z
Představen ve verzi
-
Viz také
Nikdo


Popis

Nástroj Bezierova křivka vytváří Bezierovu křivku (nebo Bezierovu křivku po částech) z několika bodů v aktuální pracovní rovině. Přebírá tloušťku čáry a barvu předem nastavenou v záložce Nástroje.

The object is created as a single Bezier Curve of degree (number_of_points - 1). This can be changed to a piecewise Bezier Curve of a specified degree after creation using the properties editor. Bezier Curves can be edited using Draft Edit.png Draft Edit.

Draft BezCurve Example.png

Použití

  1. Stiskněte tlačítko Draft BezCurve.png Bezierova křivka nebo klávesy B potom Z
  2. Klikněte na první bod ve 3D pohledu nebo zadejte jeho souřadnice
  3. Klikněte na další bod ve 3D pohledu nebo zadejte jeho souřadnice
  4. Stiskněte klávesu F nebo C nebo dvojklikněte na poslední bod pro ukončení nebo na počáteční bod pro uzavření křivky.

Volby

  • Stiskněte tlačítko F nebo Draft FinishLine.png Dokončit pro ukončení křivky bez uzavření
  • Stiskněte tlačítko C nebo Draft CloseLine.png Uzavřít nebo klikněte na první bod pro dokončení křivky s tím, že bude uzavřena a eventuálně bude přdán poslední segment do počátečního bodu.
  • Stiskněte tlačítko X, Y nebo Z po vybrání bodu a pak bude další výběr proveden v dané ose.
  • Pro ruční zadání souřadnic jednoduše vložte číslo a stiskněte ENTER mezi každou z komponent X, Y a Z.
  • Stiskněte tlačítko R nebo zaklikněte/odklikněte políčko Relativně. Je-li zapnut relativní mód souřadnice následujícího bodu bodou relativní k předchozímu bodu, jinak budou absolutní k počátku (0,0,0).
  • Stiskněte tlačítko T nebo zaklikněte/odklikněte políčko Pokračovat. Je-li zapnut pokračovací mód, bude nástroj Bezierova křivka po ukončení nebo uzavření křivky restartován a můžete hned kreslit další bez klikání na tlačítko pro Bezierovu křivku.
  • Stiskněte při kreslení tlačítko CTRL chcete-li přichytit Váš bod k nejbližšímu uchopovacímu místu, nezávisle na tom jak je daleko.
  • Stiskněte při kreslení tlačítko SHIFT pro nastavení vazby dalšího bodu svisle nebo vodorovně v relaci k poslednímu bodu.
  • Stiskněte klávesu W nebo tlačítko Draft Wipe.png Smazat pro smazání existujících segmentů a spuštění křivky od posledního bodu.
  • Stiskněte klávesy CTRL+Z nebo tlačítko Draft UndoLine.png Undo pro vrácení k předchozímu bodu.
  • Stiskněte klávesu ESC nebo tlačítko Zrušit k ukončení aktuálního příkazu pro Bezierovu křivku.

Vlastnosti

  • DATAUzavřena: Specifikuje jestli je Bezierova křivka uzavřena nebo ne
  • DATADegree: Specifies the degree of the Bezier Curve (or segments)

Skriptování

Nástroj Bezierova křivka může být využit v makrech a z konzoly Pythonu použitím následující funkce:

makeBezCurve(pointslist,[closed],[placement],[support],[degree])
  • Vytvoří objekt Bezierovy křivky podle zadaného seznamu vektorů. Místo seznamu bodů můžete také vložit díl Drát.

Example:

import FreeCAD,Draft
myFeature = Draft.makeBezCurve(Draft.makeBezCurve(points,False)

Contraining Nodes

The segment endpoints in a piecewise Bezier Curve can be constrained such that adjacent control points are tangent or symmetric to the segments at the endpoint. This is done after object creation using Draft Edit.png Draft Edit.

  • Draft BezSharpNode.svg Sharp - remove constraints
  • Draft BezTanNode.svg Tangent - force adjacent control points to be tangent
  • Draft BezSymNode.svg Symmetric - force adjacent control points to be tangent and equi-distant

Omezení

  • Tento nástroj je dostupný až od verze FreeCADu 0.14
  • Vlastnost Body se zatím nezaobrazuje v seznamu vlastností.
  • OpenCascade nepodporuje Bezierovy křivky se stupněm < 25. V praxi by to neměl být problém.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe